Class List Method List File List

# Module: Haml::Filters::Escaped

Includes:
  Base
Defined in:
  lib/haml/filters.rb

## Overview

Works the same as Plain, but HTML-escapes the text before placing it in the document.

## Instance Method Summary (collapse)

- - render(text)

### Methods included from Base

#compile, included, #internal_compile, #render_with_options

## Instance Method Details

### - render(text)

See Also:

- Base#render

    269
    270
    271

    # File 'lib/haml/filters.rb', line 269

    def render(text)
      Haml::Helpers.html_escape text
    end